%define hordedir /usr/share/horde

Summary:        PEAR: Horde tagging application

Name:           horde-content
Version:        2.0.4
Release:        1.lux.1
License:        BSD
Group:          Productivity/Networking/Web/Utilities
Source0:        http://pear.horde.org/get/content-%{version}.tgz
Source100:	horde-content.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/content
BuildRequires:	php-pear >= 1.7.0
Requires:       horde >= 5.0.0, php-pear >= 1.7.0
BuildRequires:  horde php-pear-Horde-Role php-pear-channel-horde
Requires:       php-pear-channel-horde, php-pear-Horde-Role, php-pear-Horde-Core, php-pear-Horde-Date, php-pear-Horde-Exception
Requires:       php-gettext, php-json
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Core >= 2.0.0
Requires:	php-pear-Horde-Core <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Core = 3.0.0alpha1
Requires:	php-pear-Horde-Date >= 2.0.0
Requires:	php-pear-Horde-Date <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Date = 3.0.0alpha1
Requires:	php-pear-Horde-Db >= 2.0.0
Requires:	php-pear-Horde-Db <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Db = 3.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Injector >= 2.0.0
Requires:	php-pear-Horde-Injector <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Injector = 3.0.0alpha1
Requires:	php-pear-Horde-Rdo >= 2.0.0
Requires:	php-pear-Horde-Rdo <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Rdo = 3.0.0alpha1
Requires:	php-pear-Horde-Util >= 2.0.0
Requires:	php-pear-Horde-Util <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Util = 3.0.0alpha1
BuildArch:      noarch

%description
This application provides tagging support for the other Horde applications.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{hordedir} \
        -s

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
cp -p %{SOURCE100} $RPM_BUILD_ROOT/etc/httpd/conf.d/horde-content.conf
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/content ] && mv %{buildroot}/%{_docdir}/content %{buildroot}/%{_docdir}/%{name}-%{version}


# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/content.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/content.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/content
fi

%files
%defattr(-,root,root)
%config(noreplace)  /etc/httpd/conf.d/horde-content.conf
%doc %{_docdir}/%{name}-%{version}
%{pear_phpdir}/test/content
%{pear_xmldir}/content.xml
%{hordedir}/content
%attr(0770,root,apache) %dir %{hordedir}/content/config
%attr(0660,root,apache) %config(noreplace) %{hordedir}/content/config/*.php

/usr/bin/content-object-add   
/usr/bin/content-object-delete   
/usr/bin/content-tag   
/usr/bin/content-tag-add   
/usr/bin/content-tag-delete   
/usr/bin/content-untag

%changelog
